### Constructor

# Adw TimedAnimationnew

#### Declaration [src]

    AdwAnimation*
    adw_timed_animation_new (
      GtkWidget* widget,
      double from,
      double to,
      guint duration,
      AdwAnimationTarget* target
    )

#### Description [src]

Creates a new `AdwTimedAnimation` on `widget` to animate `target` from `from` to `to`.

#### Parameters

`widget`

  Type: `GtkWidget`

  A widget to create animation on.

  The data is owned by the caller of the function.

`from`

  Type: `double`

  A value to animate from.

`to`

  Type: `double`

  A value to animate to.

`duration`

  Type: `guint`

  A duration for the animation.

`target`

  Type: `AdwAnimationTarget`

  A target value to animate.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `AdwAnimation`

The newly created animation.

The data is owned by the called function.